$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.301-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.301-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '58638A33D435E2C4703284E0834662801E9B54021CB5E46734CFAA0584704C3D'
  checksumType = 'sha256'
  checksum64 = '58638A33D435E2C4703284E0834662801E9B54021CB5E46734CFAA0584704C3D'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.301-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
